Bug 1811743 - OLM: Provided APIs section empty with no text when all APIs are internal
Summary: OLM: Provided APIs section empty with no text when all APIs are internal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1822827
TreeView+ depends on / blocked
 
Reported: 2020-03-09 16:47 UTC by Samuel Padgett
Modified: 2020-07-13 17:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1822827 (view as bug list)
Environment:
Version: 4.4.0-0.ci-2020-03-09-103610 Cluster ID: 409bf8c6-8338-44de-92aa-694c2b61aa26 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:73.0) Gecko/20100101 Firefox/73.0
Last Closed: 2020-07-13 17:19:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4697 0 None closed Bug 1811743: Show no provided APIs message when all APIs are internal 2020-06-23 09:12:02 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:19:41 UTC

Description Samuel Padgett 2020-03-09 16:47:38 UTC
If all APIs provided by an operator are marked internal, the "Provided APIs" section of the Installed Operators details page is empty with no message. There should be a message saying there are no provided APIs.

Comment 3 shahan 2020-03-18 06:47:35 UTC
Install operator which define internal api(openshift piplelines operator), goto install detail page, it will have No Kubernetes APIs are being provided by this Operator under provided APIs
4.5.0-0.ci-2020-03-18-024907

Comment 5 errata-xmlrpc 2020-07-13 17:19:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.